Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.discovery.asm
Class ModClassVisitor

    java.lang.Object
      org.objectweb.asm.ClassVisitor
          cpw.mods.fml.common.discovery.asm.ModClassVisitor

    public class ModClassVisitor

extends org.objectweb.asm.ClassVisitor

Constructor Summary
`ModClassVisitor(ASMModParser discoverer)`

Method Summary
`void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String annotationName, boolean runtimeVisible)`
`org.objectweb.asm.FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)`
`org.objectweb.asm.MethodVisitor` | `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`

Methods inherited from class org.objectweb.asm.ClassVisitor
`visitAttribute, visitEnd, visitInnerClass, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModClassVisitor

    public ModClassVisitor(ASMModParser discoverer)

Method Detail

### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

  Overrides:
    `visit` in class `org.objectweb.asm.ClassVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String annotationName,
                                                               boolean runtimeVisible)

  Overrides:
    `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     String name,
                                                     String desc,
                                                     String signature,
                                                     Object value)

  Overrides:
    `visitField` in class `org.objectweb.asm.ClassVisitor`

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                       String name,
                                                       String desc,
                                                       String signature,
                                                       String[] exceptions)

  Overrides:
    `visitMethod` in class `org.objectweb.asm.ClassVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD